summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2018-01-09 09:55:44 +0100
committerUlrich Müller <ulm@gentoo.org>2018-01-09 10:05:53 +0100
commitfd6bc0a8f5fa550a26afc480361bd95aac3481d0 (patch)
tree5b05f9e9edb859ed8a7d40ad27b1cf038abb1589 /app-admin
parentsys-apps/kmod: Synced live ebuild. (diff)
downloadgentoo-fd6bc0a8f5fa550a26afc480361bd95aac3481d0.tar.gz
gentoo-fd6bc0a8f5fa550a26afc480361bd95aac3481d0.tar.bz2
gentoo-fd6bc0a8f5fa550a26afc480361bd95aac3481d0.zip
app-admin/eselect: Version bump.
Bug: https://bugs.gentoo.org/643864 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/eselect/Manifest1
-rw-r--r--app-admin/eselect/eselect-1.4.11.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/app-admin/eselect/Manifest b/app-admin/eselect/Manifest
index 3fca0ec263c..fb3981cb407 100644
--- a/app-admin/eselect/Manifest
+++ b/app-admin/eselect/Manifest
@@ -1,3 +1,4 @@
DIST eselect-1.4.10.tar.xz 177212 BLAKE2B 25f548d56ecfdc5ccf18167ebdeb50cccc77fbdc65ab8683e293242de0083e6036714ae9d173f507da0404dbad0e48f2ac09d542dbdf92d8a5d7e9868b31fa07 SHA512 09e4196959cfb42e0fe4536939ad8e0d1a49d500e3d42634cd959c544f2ed5beaa006100fffaf10eaba121901d36a42721da42504d496de8d157690b7ab7f9fb
+DIST eselect-1.4.11.tar.xz 177444 BLAKE2B e6f758e2acd17cea3ae37af48e4b4327a9c9d74784aa0723b003f2e1d84ec4c13167de33c311b785fddf7b045b3312955c4d84cf6e35ef7ec9265ef5de503670 SHA512 eec3091c5e386e8b7a52cb263e3c5ce6f41e285d2ae7974f4876e2ffa93b00f9f939055d978c6b9032ee1be2561992015560cdfa93a1ff2b1720ea0100fcf96d
DIST eselect-1.4.8.tar.xz 176692 BLAKE2B d24f87ecd7fed1f23a26f9017ecaecaf5b69c02ffbcf9cf7d7b93fa8cad6364d934de8196aff1af955076c167ac4fa8911be03473c757f6a623c63820f3b8255 SHA512 13faa3b21d352975498eb2ea62dfb8d371f30afd6e283c30ff4e89cef035598a8cfe8fafbc6763f39081c547f6743c7f4731d21170625781b89d64eb46c22194
DIST eselect-1.4.9.tar.xz 176776 BLAKE2B 0e30f1d55470c49ee9c93da294cc66dbfb5638a3aa0677665936a5eb6f1d253c38736b4037c8676da526a01c75dec86f09fe37cebae954d41f2ae9b6955a088d SHA512 88e9d81086596849ef6daf87da3f782886286b1b829d0d6378c3c3c7d9f044a2eb2dc4e1596c2f49eb2ee4e443eebaab3be4bdb223a36bb5f7b66ac0686e2640
diff --git a/app-admin/eselect/eselect-1.4.11.ebuild b/app-admin/eselect/eselect-1.4.11.ebuild
new file mode 100644
index 00000000000..16046ac9431
--- /dev/null
+++ b/app-admin/eselect/eselect-1.4.11.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit bash-completion-r1
+
+DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Eselect"
+SRC_URI="https://dev.gentoo.org/~ulm/eselect/${P}.tar.xz"
+
+LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-3.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc emacs vim-syntax"
+
+RDEPEND="sys-apps/sed
+ || (
+ sys-apps/coreutils
+ sys-freebsd/freebsd-bin
+ app-misc/realpath
+ )"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/docutils )"
+RDEPEND="${RDEPEND}
+ sys-apps/file
+ sys-libs/ncurses:0"
+
+PDEPEND="emacs? ( app-emacs/eselect-mode )
+ vim-syntax? ( app-vim/eselect-syntax )"
+
+src_compile() {
+ emake
+ use doc && emake html
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ newbashcomp misc/${PN}.bashcomp ${PN}
+ dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt
+ if use doc; then
+ docinto html
+ dodoc *.html doc/*.html doc/*.css
+ fi
+
+ # needed by news module
+ keepdir /var/lib/gentoo/news
+ if ! use prefix; then
+ fowners root:portage /var/lib/gentoo/news
+ fperms g+w /var/lib/gentoo/news
+ fi
+}
+
+pkg_postinst() {
+ # fowners in src_install doesn't work for the portage group:
+ # merging changes the group back to root
+ if ! use prefix; then
+ chgrp portage "${EROOT}/var/lib/gentoo/news" \
+ && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ fi
+}